<template>
	<v-card>
		<v-toolbar
		dark
		color="purple"
		>
			<v-btn
				icon
				dark
				v-on:click="close"
			>
				<v-icon>mdi-close</v-icon>
			</v-btn>
			<v-text-field 	v-model="keyword"
							hide-details 
							append-icon="mdi-microphone" 
							flat label="search"							
							solo-inverted
							v-on:keypress.enter="search"
			></v-text-field>          
		</v-toolbar>
		<v-card-text>
			<v-subheader v-if="keyword.length>0">
				Result search from keyword {{keyword}}
			</v-subheader>	
		</v-card-text>
		<v-alert 	v-bind:value="campaigns.length==0 && keyword.length>0"
					color="warning"
					outlined
		>
			Sorry, no result were found
		</v-alert>			
		<v-container class="ma-0 pa-0 grid-list-sm">
			<v-layout wrap>
				<v-flex v-for="campaign in campaigns" v-bind:key="campaign.id">
					<campaign-component v-bind:portal="campaign"></campaign-component>                    
				</v-flex>
			</v-layout>
		</v-container>
	<alert/>				
	</v-card>	
</template>
<script>
import campaign from '../components/CampaignComponent.vue'
import alert from '../components/Alert.vue'
import {mapActions} from 'vuex'

export default {
	name:'search-campaign',
	components:{
		'campaign-component': campaign,
		alert
	},
	props:['trigger'],
	data () {
      	return {
        	dialog: false,
			campaigns:[],
			keyword:''
      	}
    },methods:{
		async search(){
			try {
				let response = await axios.get(`http://127.0.0.1:8000/api/campaign/${this.keyword}/search`)

				if(response.status==200){

					let {response_code, response_message, data} = response
					
					this.campaigns = data.data					

				}

			} catch (err) {
				
				let {message, data} = err.response

				console.log(err)
				this.show({
					title:'error',
					message: message
				})

			}
		},
		...mapActions({
			show:'alert/show'
		}),
		close:function(){
			this.$emit('closed',false)
		}
	},
	computed:{
		
	},mounted:function(){
		console.log('Search Component Mounted!')
	}
}
</script>